Bug 954129 - Review Request: python-umemcache Ultra fast memcache client written in highly optimized C++ with Python
Summary: Review Request: python-umemcache Ultra fast memcache client written in highly...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-21 03:10 UTC by Yohan Graterol
Modified: 2013-07-26 00:36 UTC (History)
3 users (show)

Fixed In Version: python-umemcache-1.6.3-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-26 00:35:15 UTC
rbean: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Yohan Graterol 2013-04-21 03:10:00 UTC
Spec URL: http://yograterol.fedorapeople.org/python-umemcache.spec
SRPM URL: http://yograterol.fedorapeople.org/python-umemcache-1.6-1.fc18.src.rpm

Description:

Ultra fast memcache client written in highly optimized C++ with
Python bindings.
ultramemcache is an ultra fast Memcache client written in
highly optimized C++ with Python bindings.

FAS's Account: yograterol

Comment 1 Ralph Bean 2013-04-29 13:20:16 UTC
Issues:
=======
- Permissions on files are set improperly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- Summary ends with a dot '.'.  See rpmlint output.  The "spelling errors"
  can be ignored.
- All build dependencies are listed in BuildRequires, except for any that are
  listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- BuildRequires: on python-guppy is not actually needed since the tests are
  commented out.  Please comment out this requirement as well.
- %build honors applicable compiler flags or justifies otherwise.
  Note:  See the CFLAGS example at
  https://fedoraproject.org/wiki/Packaging:Python

"Should" items
==============

- If the source package does not include license text(s) as a separate file
  from upstream, the packager SHOULD query upstream to include it.  The license
  is included as a header to the setup.py file.  Having it included as a
  separate LICENSE or COPYING file is best.  Can you ask upstream about it?
  This does not block the review.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (4 clause)". 1 files have unknown license. Detailed output of
     licensecheck in /home/threebean/954129-python-umemcache/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-umemcache-1.6-1.fc18.x86_64.rpm
python-umemcache.x86_64: W: spelling-error Summary(en_US) memcache -> sachem
python-umemcache.x86_64: W: summary-ended-with-dot C Ultra fast memcache client written in highly optimized C++ with Python.
python-umemcache.x86_64: W: spelling-error %description -l en_US memcache -> sachem
python-umemcache.x86_64: W: spelling-error %description -l en_US ultramemcache -> ultramarine
python-umemcache.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/umemcache.so umemcache.so()(64bit)
python-umemcache.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/umemcache.so 0775L
1 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-umemcache
python-umemcache.x86_64: W: spelling-error Summary(en_US) memcache -> sachem
python-umemcache.x86_64: W: summary-ended-with-dot C Ultra fast memcache client written in highly optimized C++ with Python.
python-umemcache.x86_64: W: spelling-error %description -l en_US memcache -> sachem
python-umemcache.x86_64: W: spelling-error %description -l en_US ultramemcache -> ultramarine
python-umemcache.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/umemcache.so umemcache.so()(64bit)
python-umemcache.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/umemcache.so 0775L
1 packages and 0 specfiles checked; 1 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-umemcache (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-umemcache:
    python-umemcache
    python-umemcache(x86-64)
    umemcache.so()(64bit)



Unversioned so-files
--------------------
python-umemcache: /usr/lib64/python2.7/site-packages/umemcache.so

MD5-sum check
-------------
https://pypi.python.org/packages/source/u/umemcache/umemcache-1.6.zip :
  CHECKSUM(SHA256) this package     : 545cdebaf93007641eca1dc90113ef14d3d23080baf7a9c4c4aafd00b58927cd
  CHECKSUM(SHA256) upstream package : 545cdebaf93007641eca1dc90113ef14d3d23080baf7a9c4c4aafd00b58927cd


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 954129

Comment 2 Yohan Graterol 2013-07-15 04:40:29 UTC
Hi Ralph, 

I have a new version of umemcache, the new versios is 1.6.3. Without errors on the package.

SPEC: http://yograterol.fedorapeople.org/python-umemcache.spec
SRPM: http://yograterol.fedorapeople.org/python-umemcache-1.6.3-1.fc19.src.rpm

Regards!

Comment 3 Ralph Bean 2013-07-15 13:23:09 UTC
One blocking issue:

[!]: %build honors applicable compiler flags or justifies otherwise.
     In your build section, the setup.py build line should be:

        CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

     See https://fedoraproject.org/wiki/Packaging:Python

One other issue, that is not required but is "nice to have":

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

     Upstream has clearly licensed this BSD, so there's not much issue.  But
     they *should* include a file called LICENSE or COPYING that includes the
     full text of their license.  If you can file a bug with them asking to
     provide that, that would be best.


Full review is below.  If you can submit a second release (1.6.3-2) with the
RPM_OPT_FLAGS fix, then I can approve the package.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (4 clause)". Detailed output of licensecheck in
     /home/threebean/954129-python-umemcache/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-umemcache-1.6.3-1.fc18.x86_64.rpm
python-umemcache.x86_64: W: spelling-error Summary(en_US) Memcache -> Sachem
python-umemcache.x86_64: W: spelling-error %description -l en_US memcache -> sachem
python-umemcache.x86_64: W: spelling-error %description -l en_US ultramemcache -> ultramarine
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-umemcache
python-umemcache.x86_64: W: spelling-error Summary(en_US) Memcache -> Sachem
python-umemcache.x86_64: W: spelling-error %description -l en_US memcache -> sachem
python-umemcache.x86_64: W: spelling-error %description -l en_US ultramemcache -> ultramarine
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-umemcache (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-umemcache:
    python-umemcache
    python-umemcache(x86-64)



Unversioned so-files
--------------------
python-umemcache: /usr/lib64/python2.7/site-packages/umemcache.so

Source checksums
----------------
https://pypi.python.org/packages/source/u/umemcache/umemcache-1.6.3.zip :
  CHECKSUM(SHA256) this package     : 211031a03576b7796bf277dbc9c9e3e754ba066bbb7fb601ab5c6291b8ec1918
  CHECKSUM(SHA256) upstream package : 211031a03576b7796bf277dbc9c9e3e754ba066bbb7fb601ab5c6291b8ec1918


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 954129

Comment 5 Ralph Bean 2013-07-15 16:51:23 UTC
Package is APPROVED!

Comment 6 Yohan Graterol 2013-07-15 18:14:39 UTC
Thank u Ralph!

New Package SCM Request
=======================
Package Name: python-umemcache
Short Description: Memcache client written in highly optimized C++ with Python
Owners: yograterol
Branches: f17 f18 f19
InitialCC:

Comment 7 Gwyn Ciesla 2013-07-15 18:25:29 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-07-16 02:50:48 UTC
python-umemcache-1.6.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-umemcache-1.6.3-2.fc18

Comment 9 Fedora Update System 2013-07-16 02:53:36 UTC
python-umemcache-1.6.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-umemcache-1.6.3-2.fc19

Comment 10 Fedora Update System 2013-07-17 02:59:06 UTC
python-umemcache-1.6.3-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 11 Fedora Update System 2013-07-26 00:35:15 UTC
python-umemcache-1.6.3-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Fedora Update System 2013-07-26 00:36:40 UTC
python-umemcache-1.6.3-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.